apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    role: jenkins-slave
  name: {{ jenkins_name }}-podtemplates
  namespace: {{ namespace }}
data:
{% for pod in jenkins_podtemplates if pod['name'] is defined and pod['image'] is defined %}
  template{{ loop.index }}: |-
    <org.csanchez.jenkins.plugins.kubernetes.PodTemplate>
      <inheritFrom></inheritFrom>
      <name>{{ pod['name'] }}</name>
      <instanceCap>2147483647</instanceCap>
      <idleMinutes>0</idleMinutes>
      <label>{{ pod['name'] }}</label>
      <serviceAccount>{{ jenkins_name }}</serviceAccount>
      <nodeSelector></nodeSelector>
      <volumes/>
{% if 0 == 1 %}
FIXME / un-tested
      <yaml>apiVersion: v1
    kind: Pod
    spec:
      metadata:
        labels:
          ci-job: jenkins-{{ jenkins_name }}</yaml>
{% endif %}
      <containers>
        <org.csanchez.jenkins.plugins.kubernetes.ContainerTemplate>
          <name>jnlp</name>
          <image>{{ pod['image'] }}</image>
          <privileged>false</privileged>
          <alwaysPullImage>false</alwaysPullImage>
          <workingDir>{{ pod['workingdir'] | default('/tmp') }}</workingDir>
          <command></command>
          <args>${computer.jnlpmac} ${computer.name}</args>
          <ttyEnabled>false</ttyEnabled>
          <resourceRequestCpu>{{ pod['cpurequest'] | default('') }}</resourceRequestCpu>
          <resourceRequestMemory>{{ pod['memoryrequest'] | default('') }}</resourceRequestMemory>
          <resourceLimitCpu>{{ pod['cpulimit'] | default('') }}</resourceLimitCpu>
          <resourceLimitMemory>{{ pod['memorylimit'] | default('') }}</resourceLimitMemory>
          <envVars/>
        </org.csanchez.jenkins.plugins.kubernetes.ContainerTemplate>
      </containers>
      <envVars/>
      <annotations/>
      <imagePullSecrets/>
      <nodeProperties/>
{% endfor %}
